## org.eclipse.emf.codegen.merge.java.facade
Interface JAnnotationType

All Superinterfaces:
  JAbstractType, JMember, JNode

All Known Implementing Classes:
  ASTJAnnotationType

    public interface JAnnotationType

extends JAbstractType

Annotation type declaration as defined by JLS3 9.6.

>      AnnotationTypeDeclaration:
>             InterfaceModifiersopt @ interface Identifier AnnotationTypeBody

>      AnnotationTypeBody:
>        { AnnotationTypeElementDeclarationsopt }

Since:
  2.3.0
See Also:
  Section 9.6

Method Summary

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.